Loading...
Searching...
No Matches
GSSAPI Result Status Strings
Globus GSS Assist

Display Error Status from a GSSAPI Result. More...

## Functions

OM_uint32 | globus_gss_assist_display_status (FILE *fp, char *comment, OM_uint32 major_status, OM_uint32 minor_status, int token_status)
OM_uint32 | globus_gss_assist_display_status_str (char **str, char *comment, OM_uint32 major_status, OM_uint32 minor_status, int token_status)

## Detailed Description

Display Error Status from a GSSAPI Result.

The functions in this section convert a GSSAPI result code into a message.

## Function Documentation

## globus_gss_assist_display_status()

OM_uint32 globus_gss_assist_display_status | ( | FILE * | fp,
|  | char * | comment,
|  | OM_uint32 | major_status,
|  | OM_uint32 | minor_status,
|  | int | token_status )

Display the messages for the major and minor status on the file pointed at by fp. Takes care of the overloaded major_status if there was a problem with the get_token or send_token routines.

Parameters

  fp | a file pointer
  comment | String to print out before other error messages.
  major_status | The major status to display
  minor_status | The minor status to display
  token_status | token status to display

Returns
  0

## globus_gss_assist_display_status_str()

OM_uint32 globus_gss_assist_display_status_str | ( | char ** | str,
|  | char * | comment,
|  | OM_uint32 | major_status,
|  | OM_uint32 | minor_status,
|  | int | token_status )

Display the messages for the major and minor status and return a string with the messages. Takes care of the overloaded major_status if there was a problem with the get_token or send_token routines.

Parameters

  str | pointer to char * for returned string. Must be freed
  comment | String to print out before other error messages.
  major_status | The major status to display
  minor_status | The minor status to display
  token_status | token status to display

Returns
  0